%define	major 9
%define libname	%mklibname config %{major}
%define libnamedevel	%mklibname -d config

%define _disable_ld_no_undefined 0

Summary:	Configuration file parsing library
Name:		libconfig
Version:	1.4.5
Release:	%mkrel 4
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.gz
BuildRequires:	libopennet-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:          System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libnamedevel}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  %_lib%{name}0-devel

%description -n	%{libnamedevel}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{name} library and its header
files.

%prep
%setup -q

%build
%configure2_5x

# fix soname
#perl -pi -e "s|^SHOBJFLAGS.*|SHOBJFLAGS=-Wl,-soname=%{name}.so.%{major} -shared -fPIC -D_REENTRANT|g" Makefile

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*





%changelog
* Sat Jan 15 2011 blino <blino> 1.4.5-4.mga1
+ Revision: 18758
- remove old ldconfig scriptlets
- imported package libconfig


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-3mdv2011.0
+ Revision: 606405
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 1.4.5
    - fix license
    - set disable_ld_no_undefined to 0
    - check major
    - new major 9

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-1mdv2010.1
+ Revision: 509070
- new version

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-7mdv2010.0
+ Revision: 438536
- rebuild

* Thu Mar 12 2009 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-6mdv2009.1
+ Revision: 354044
- fix build (eg use _disable_ld_no_undefined)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-3mdv2008.1
+ Revision: 172467
- fix devel name
- 0.2.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 18:03:23 (54980)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 17:59:43 (54978)
Import libconfig

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-3mdk
- fix deps

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-2mdk
- fix naming (again)

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-1mdk
- 0.1.21
- libconfig0/libconfig
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-1mdk
- initial mandrake package

